org.apache.poi.ss.formula

## Class SheetIdentifier

- java.lang.Object
- - org.apache.poi.ss.formula.SheetIdentifier

- Direct Known Subclasses:
    SheetRangeIdentifier

      public class SheetIdentifier
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `_bookName`
    `NameIdentifier` | `_sheetIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetIdentifier(java.lang.String bookName, NameIdentifier sheetIdentifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `asFormulaString()`
    `protected void` | `asFormulaString(java.lang.StringBuilder sb)`
    `java.lang.String` | `getBookName()`
    `NameIdentifier` | `getSheetIdentifier()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _bookName

          public java.lang.String _bookName

    - #### _sheetIdentifier

          public NameIdentifier _sheetIdentifier

  - ### Constructor Detail

    - #### SheetIdentifier

          public SheetIdentifier(java.lang.String bookName,
                                 NameIdentifier sheetIdentifier)

  - ### Method Detail

    - #### getBookName

          public java.lang.String getBookName()

    - #### getSheetIdentifier

          public NameIdentifier getSheetIdentifier()

    - #### asFormulaString

          protected void asFormulaString(java.lang.StringBuilder sb)

    - #### asFormulaString

          public java.lang.String asFormulaString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.